#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_with	tests	# unit tests (missing in sdist)

Summary:	Tools for Tidelift by jaraco
Summary(pl.UTF-8):	Narzędzia do serwisu Tidelift autorstwa jaraco
Name:		python3-jaraco.tidelift
Version:	1.5.1
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jaraco.tidelift/
Source0:	https://files.pythonhosted.org/packages/source/j/jaraco.tidelift/jaraco.tidelift-%{version}.tar.gz
# Source0-md5:	38a2d363e08ff0f8b6c324e5adfb5b08
URL:		https://pypi.org/project/jaraco.tidelift/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:56
BuildRequires:	python3-setuptools_scm >= 3.4.1
BuildRequires:	python3-toml
%if %{with tests}
BuildRequires:	python3-autocommand
BuildRequires:	python3-black >= 0.3.7
BuildRequires:	python3-cov
BuildRequires:	python3-enabler >= 1.3
BuildRequires:	python3-flake8 < 5
BuildRequires:	python3-importlib_resources >= 1.6
BuildRequires:	python3-keyring
BuildRequires:	python3-mypy >= 0.9.1
BuildRequires:	python3-pytest >= 6
BuildRequires:	python3-pytest-black >= 0.3.7
BuildRequires:	python3-pytest-checkdocs >= 2.4
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-enabler >= 1.0.1
BuildRequires:	python3-pytest-flake8
BuildRequires:	python3-pytest-mypy >= 0.9.1
BuildRequires:	python3-requests-toolbelt
#BuildRequires:	python3-types-docutils
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-jaraco.packaging >= 9
BuildRequires:	python3-rst.linker >= 1.9
BuildRequires:	sphinx-pdg-3 >= 3.5
#BuildRequires:	sphinx-lint
%endif
Requires:	python3-jaraco
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for Tidelift by jaraco.

%description -l pl.UTF-8
Narzędzia do serwisu Tidelift autorstwa jaraco.

%package apidocs
Summary:	API documentation for Python jaraco.tidelift module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona jaraco.tidelift
Group:		Documentation

%description apidocs
API documentation for Python jaraco.tidelift module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona jaraco.tidelift.

%prep
%setup -q -n jaraco.tidelift-%{version}

# stub for setuptools
cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=... \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html docs docs/build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/jaraco/tidelift
%{py3_sitescriptdir}/jaraco.tidelift-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jaraco.tidelift.git;a=log;h=auto/th/python3-jaraco.tidelift-1.5.1-4

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 49ec1e7
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5b17aca
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3996157
- python 3.13 rebuild

* Sat Oct 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 72385ca
- updated to 1.5.1

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> a080fd2
- Release 4 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a87b254
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0a3c648
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 7e03ec5
- new

